#!/usr/bin/env python
#
# Protein Engineering Analysis Tool DataBase (PEATDB)
# Copyright (C) 2010 Damien Farrell & Jens Erik Nielsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact information:
# Email: Jens.Nielsen_at_gmail.com 
# Normal mail:
# Jens Nielsen
# SBBS, Conway Institute
# University College Dublin
# Dublin 4, Ireland
# 


def imageicon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAQHAgoMCAsNChUWFBobGSQlIycoJigqJw0zShs3'
            +'Sho5RjY4NRhBTTo7OSJBTitBTz9APkRGQ0VHRUpLSU5PTSBaalFTUFVXVFdY'
            +'VltcWlxeW11fXCN4JV9hXmBiYCZ6KCR8MCt8ImRlYyN/JTF+HSaBOyqDIBaG'
            +'RRGJTTOIHQ+OVzmLFwmTYS6SACySEDCTAACXajSQHDGUAjeREDKVBDiSEhqU'
            +'XDuUFTyVFj2WGCKXaz6XGT+YGiOTqjKPqDucEhiXtS2dPwmiejqdH0KbHhaf'
            +'fkacE0ScH0WdITSgOkCgGEieFkifIwCqk0mgJEuhGiSdukuiJlKgJjaY106k'
            +'HlSkMRWm3VimK1GoLAaxzBmq2hyxjgCy2jCk3ECf3zOj4QC4sxWzqV+oPgC1'
            +'1hK2mAC20CWsyGKpOJGTkAC32B2v2Bix0wy2yzOp2hO0zwC52gC61EWl3wC9'
            +'xAC73GStQy2wzQC912ysRAC+0hu20gDAwCG11wC/2WuuTDiv2gi93gDA4Fap'
            +'ygTA2gDC1Sq13ie32iK51Q++3wDD3G6xTwDE1x680Faq3za20k+t5ye71wDH'
            +'1ADG3wbF2Sy63G+0WADI2hLD3QDI4XazWI2kqQDJ4jC83gDK4w7H2qCinwDL'
            +'5B3FzFOz5gDM5RrF4ADN3zO+4Fa11ADN5kO63n61YgDO5zW/4QDP4RbJ3ADP'
            +'6GCz6EW84H64awDR6GC25ATR6ke+4lO74Fy62km/44e5bQvS62y35l+93Vi/'
            +'5FrA5mW/5XK87GfA52bD41/F6rK0sXy/6XTC6nrB5IK/44DD7X7F6Lq8uYrG'
            +'66vDyL7BvcPGwrbO08jKx6vVvLHUvMzOy7zWrbvT2LvXtLbXzb/XvM/RzsbW'
            +'vMPYt7/X3NHT0NPV0tXX1Mbb2sLf3Nja1sbf5Nnb2Nze29Hkz8vk6N/h3eHj'
            +'4OPl4eTm4+Xn5Obo5efp5ujq5+nr6Ors6evu6u3v6+7w7e/x7vDy7/Hz8PL0'
            +'8fP18vT38/b49Pf59v///yH5BAEKAP8ALAAAAABAAEAAAAj+AP8J/BegoMGD'
            +'CBMqXIhwoMOHEB8ynEixYoCIGCEWlPCho8ePHT144ECSw4aTJzWo1JChJYaX'
            +'GC5UoHAwo02CAcjx28mzp758+e7Zq0dPXjx48N69Y8dOnVN158hJDbcNGrMI'
            +'EQwUvImxILl9PcPu+xl06DyjSJUyfQpVKjlw0p5FuLBN60WuEnPuAxuW59h8'
            +'+ITWO3s06dKmT6NKrQYtAgZ5dbfiHVgw3N59xDJr1jwsc+dhv0L7Gt2rdC9c'
            +'uG6lxnXqlKAFGPZBtjtZYGV9e7/o3s27t+/fvakkwMBPduS7eAuC04cbuPMv'
            +'YMDImR4dzG/hxIvPlsxVOXN9zsH+PILFK5gxZc3Sq1+fXpkxY7x4NVKQXfvx'
            +'5AHA5WNevbocUccsI+CABBZo4IDJQJCBP/70Yx9tNykHlD5eVFghLcdkqOGG'
            +'HGqIzIcgInPMhw8syCCD/GyHXFf5AZXPFTC6AcyMNNZo4404zljiiSf2o6JN'
            +'EgK1xRZu3BLakUgmOdqSTDY52o48MujjfSzqJ+QWf/iSy5Zcdsklk7aEecuY'
            +'toxp5i0NmBhlgz9GpBw+QK2xRiGx1FlnmHjmaeeesaTi559/NsBAOIQWWig4'
            +'1RQjAHcOvRnnGnyYIumkrFRqqaWTcqKpppT4Scmnn1pgkUFu5ocPnF10Ycim'
            +'rLbq6qb+oFJiyKy0OhLFrVEEEYQPPvzggyaffJIGo5Tld8+pfPBhCCLMNuvs'
            +'s84CAgcclEwLhyFq0KoHH9smy4YddpxxhjPQPFMMsbYZe6waalgLByDwxivv'
            +'vNK6Cwe7+JKh7xv7vqHFt2dEU400zKCL0zf3JDxtHHfcMS+00MILibWHHMKu'
            +'Hhi/obG/WnTccTTgfAONwQV9Y4/C08bbRx+BtMxsyzDHjEgg9U57yL1qYNyv'
            +'xx5fAw5cJAdg8sl9DGL00UhfovTSTC99dB8N3xHH1FSbYbUZGpuhxTXh/Bz0'
            +'0PY0LTbTpJRtttlNHy011Wxf3cY15HT9dT32hK20JHjjvcn+3nz37XffeN8t'
            +'ySBQr812G29PNTfdev/t+ON/5533IIlAHQcjjEztjVtBb1PP55BvMsroo6+y'
            +'yiuop576KqP/PckkhMQuex55eKNY5/SAvjfppvc+yyyp11LLLsQXX3wtr8zC'
            +'uuuwy06IOG0tWuo29OTeN++9r/J78MMbbzzyyo/i9+vNx16OU+dIr1EA1Ffv'
            +'yvWlZ7896sJ7//0rpovfN/myn++U+nnZxjyq54n3XS97ppvfK+pnP+LVQnnL'
            +'21/5/KcOADYqANWYxwAnUUAD7g6B2gPeAhnYwAeajnnmewoBVlSsashDg6/z'
            +'RAH9hsDfiVB43Wtg8k44PtiVAzH+BWBhulz4QkK8bhMF9EQYhnCDFJjgiSlo'
            +'gRHEEAn6kdB+O9SfBNOxliCWiojziN3ryiAEHSzhjEs4Ag5UQIIOuLEDKDBC'
            +'GFpxxfuFz3XpOIwX11eNeMhDHrHjAhHQSEhCHoEFInhjB0IQAzGUooG7AF8E'
            +'+TaJPC5lj3npox/noAQ0VqEOmVCFKCtRhywQco2K7AAIWuCEUNgPefnzWzqS'
            +'wg6tfDEeuAQCGuugi1760peyUAQWmHDGI8ggkalEwQ6csIdHRhJ/y7NEGJww'
            +'jrQcQIg4qQY8cHlGJoRSlOAMZzjxgAU06kAFIEjlG02QghW0oAUrQIEJ3CiC'
            +'bCAFHgj+wGZBtLnNJTBBEZUIqEAHStCAKgINVUCjDE6gzoZ24AQyWMI0CpPP'
            +'L96TCWjwg0Y3ytGOerQOWKgCMZeAAxacQATIBIEISqACHBzBn1iYBloqysd7'
            +'SmEMOM2pTnfKU52iAQtPYMIRhkrUoh7hCVZAwxioUZR4MECfGLznFKxA1apa'
            +'9apYzSpVp/CEJni1CU+YwlStSo3ByOOpFkVKEtbK1ra69a1wjatcuWEWtNYU'
            +'KTrIq173yte++vWvgNWGUOhh10zeUwc4SKxiF8vYxjr2sY/VRmDq4QCo8hMe'
            +'iIWsZjfLWRxoAzD3kIBl34GUzpr2tIrtBlDwIdpSSUMp8ED+rWw52w2ytHZ9'
            +'r1XKbHf7WGz85bZ5ye07bPCC4hr3uMhNrnKXu1xsFEcfFYCqcGfA3Opa97rF'
            +'dW5xMCBddihlBi4Ir3jHS97ymve859UuP7jrWqa8A7zoja985+sC9bIXt+6F'
            +'L333y19r8OS+wWUKO2rA3wLT1787+UB3mYKEBjv4wRCOsIQnTGF08GQECxaw'
            +'UjZ8zw5v049/1GD1cve5uiXsVHBy0X6Ys5eeYLi9AnbvhknrYaTg8o8vHGD1'
            +'SmziY51KxSu+zIUzHOMZ09jDuARxjkfM45P5OMUuYnGL+fHi9UVgJSpBiZa3'
            +'jJKSePnLHBCJmMUMkjIHbVRoTvMPREql5ja7GZu1ibOcuRIQADs=')
     return img
     
def pdficon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAYAAAACAAcAAAkBAAEEAAIFAQoDARECAwQHAhYF'
            +'AAoJABsFASAHBQwOCg8OAiYIARQRACwKADAJARASDzUIBhYTAjILBDkKAjQM'
            +'ABoWAEEMAyAXBEoNAyAaAB4aByUbBE0QByMdBRwdG1QPBE8RACYgAV0QBFcS'
            +'B1kTAS0iCGETCCMlI2oUBzImB3MUBm4YA30VBTcqBCosKXgZA4AYCDotCYkY'
            +'Bj4vBT4xFEIzCpUbBY4dCpcdBzQ2M0Y3BpkfCKEdBTk6OEo6CqMgB6wfDK8i'
            +'BUk/FFA/CLchCj5APbIlCFRCC7slBMMjCVhFBlZFFkVHRE9HLM8lB8cnDUdJ'
            +'RlNJI11JDFZKH9IoCltKGltKIEpLSdsnBUtNStQrDGJOCN4qCecpEOAsCmdS'
            +'DeosBWlTD1JUUfQsDmhUH+0wCW1XClVXVPcuEfgwBXFaDltcWnZeCH1fDHlh'
            +'DIJjEn5lEmRmY31mI4VrD2lraGpsaYxsE4huE2xua21vbG9xbpNxD3J0cZZ0'
            +'E3N1cph2FZx4DZ97EqWAC6iCD6mEEaKELKyGFa2HF7CJC6+IGLCKGrOLD7KL'
            +'HLaOFLGQH7yTC7uSGr+VEcGXFMWbGsyhFNCkGdKmHcynJtWoENKnMs2pOtiq'
            +'FdOtLtyuG+KyErCyr9+xNdu0NeW1GN23QOm4He28Ee69FOy8LvC+FvW9GfG/'
            +'GPe+G72/vPLAGvPBHPnAH/TCHvzCEPbDH8HDv/nFEfTDN/rGFP/GF/rHJf/H'
            +'GfzJGPrIMvzJKP/LHP3KNf7LKsrMyf/NLf/MN//OOfzPOOzQef3RQ/7SRNDS'
            +'z/3STO7SfOvSiP/TRf/TTv3TVfDUff/VT9PV0vLWf9XX1P/XWfjYbdbY1fTY'
            +'gf/YYf3aYfbZgvTZifzaaNja1/fag/7cav3ccfnchdvd2vvdf/7fet7g3fvg'
            +'j9/h3uHj4OPl4eTm4+Xn5Obo5efp5ujq5+nr6Ors6evu6u3v6+7w7e/x7vDy'
            +'7/Hz8PL08fP18vT38////yH5BAEKAP8ALAAAAABAAEAAAAj+AP8J/CegoMGD'
            +'CBMqXIhwoMOHEB8ynEixooCIGCEWtBOoo8ePIEOKDOknj52CCS5mXFlQnr+X'
            +'MGPKnElzpj556rgoYZFyZcaC8frVHEp0Jr957LycacZTpU+JAoIKLUp1qD13'
            +'XtjQY9rzqUOg/cKuG0u2rNmzaMuCgyaFTb+tTb0OBMovLK+7ePPq3cs3b65W'
            +'TNj4e8vV6dOC7vjV7cu48V5YgV8SjusVsWJ+fYUdWyYtWzdy5UKnG50udDly'
            +'4bxlkxYtGbFbkSXD7eoT8T7FeolJ62a6t+/fwLVZEQxzMu2fAtztu42XWDZy'
            +'0KNLn069erjhMo0bjmh7+d1j3rr+eRtPvrz58+i9YSEeUzvL5Mv37Qo2LZv9'
            +'+/jz699/fz1N9xh1J98y00wjzYEIJqjgggweuAV72c223VzJ6bPcLpw1qGGC'
            +'qKSRwxF3fJKgFj5YY+KJKBZDigMFcVfhcrksI+OMNNZo4zKmPICQIjPeYZFB'
            +'Lrqjj4W5JGPkkcckqeSSTB4DhQAlUNEGEQN8oIuSpphSiimhdOkJJ5ngEkss'
            +'pLSoUXL5DJnLMGwOwyQxcMYpJ5zAJIBAGW7kOUECk7AyZ5xs9jKLPPG4Y42Z'
            +'ULmTT5q5BOPoo47+KekmArTgRhJ5diBAJJhIKicv++RzjzyIfoXmorn0omov'
            +'jv7iqqv+wsQq66yOCIBpEHle8EAklczqqzC/8FJcqRS6gw+quSSb7C67OIaX'
            +'IAKE4YYTbqhBgAuNUOJsTMQKhBg+x9qirLLMOsvLHgLkiYYbRghwRSOXbAtT'
            +'twQJwA64+Ngi7rjMNusYHenm6cYKAuDRiCbyvkRvQezcA+4t+o6bS7+OxSHA'
            +'utUekMAijYySsD8sutiww7dAvC+55TJmRrR57iAAto3c8nHIZ6pzz80l63vy'
            +'sinz9YQA1LoxgQBgZGtuTDRDpY49OOccMb/+8mUC0NUOIAAgBx8NU9KmLs10'
            +'yU7vPHHUeR0iwAQCXyDAIY2covVLFExYr9f2gB22xD3f9Yr+BgIUIXAMVzeS'
            +'y9v+jCB3QerUY0/ddpss8dh5WYyBwG5QIcAakpgrLEyGu5i44o07/XjKoKTU'
            +'hBthUJEnA9gO/nHnNdNTTz2hiw51s0MIQEKeK8TA+9qpEA670vTIPkvtjkMN'
            +'iQAHSDvFABLk2a4ZCH/MwuECnFN8PbMcX/vTyrbCgQA85LlBQVNkHEHmH8+A'
            +'/TnzFN+9943rPO7KF7ThRhAGvZBnCpdzm2Ni4j4XwS9+sJjf955mCQEMQHVi'
            +'UIBBFLCudq2vfe+bhwZhkcDuLdAWrRBBpfJEAoT0wA1tkKAOgtcYAr5PHhvk'
            +'oAcXeAUBQEANbuhBQiCgvxoU5Af+sGghTHzwQhi+goMdrJ0q3iAAAqhuCgdQ'
            +'yAnFgICCWMAQjImJEIooj1ccUYb0u4UlwKAj8rmhDCUIAQxu0AMiJMEJWehC'
            +'nqZghB6cgHWW4IsWuejFL3ZQE3IAQUEgQIITUu6QZywDnig3JQYAYi97NKA8'
            +'JtnHI6rCEDYYAAZosAQxCKwNTghCDVYQgg1MoAEIsFpBToiGF6jODVkQgMfy'
            +'EskziWOSXfTiKeIQgQncQFpumEIQiIBCAKLEAy7QARKuAAYzgMECA8BVGHCF'
            +'ugHwYZZ3iUkUsHfLSbbiFaLgQAOWgMIirECCGyiDGkogABzMQRCLiKc8G0FP'
            +'ROhgAC3+8KQbmgABARiCfdmESRW4ictWtEIQCpBWGSpQkAHQoA1iwEAE6iDP'
            +'eELCEpjIRCdAIQpRgGIODxjAKQvyBHrKLKAvGaiLuikPg75hcm7YwQAg8AI5'
            +'NoEBICiEPDNxilaIrVy0sAQSUqKBN9AToJtLKTfj4c1WGEIANzjkF1AwABAc'
            +'AhGLqEQq7ga1u4hiEYWgJz2xmVR/qNSW8WCqQVXxAwFkIAY9iMEGBpAAJBgC'
            +'EYiwxCvsBj6U3YUWmoBEIyzBQrzEhA1LTatBW6EKPMjgAQuIgAquUAi8IgIT'
            +'YbRdV+9ii5Pq5bCJjYcqFqsKSVj2tI7QBCyQ19exkU2PMEH+rIu2kVbRjnax'
            +'nbAEJCAhCUuAohVJXCDe8gbJ2GJvG+5IqyqWu1iDVvKLChTu7bIIEzgc1x3J'
            +'XS5zm/tcMGaWqyh7rWFhchIXYQO7ttVuc79ZSe9+cLh9iUl5z3Re7Gp3u4t9'
            +'LnRnWL/WEhel/pgvVOrrDmU848AITjCCqcHgBlPjGhD+hoQnTOFxWNjC5sgw'
            +'OjYsX+xZA7sgrm1acUliGMZve4pb3M0cdqw0DSk+y7lMWGKiBw+DOMQiLjEu'
            +'NVg82aWYaSxu8ZAsBGPFhGUq/hiEjW+M3hzrWIMn9vHigIyvRQ0Zxrepy4yT'
            +'jD045OHLYA6zHsZM5jL34cxoPrMhH9bM5jb/4c1vHkkgFvajOtuZIi66s573'
            +'LDe5+PnPfg4IADs=')
     return img

def txticon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAQHAhsDCCkCBwoMCBQJEDgACw8QDhgSCk4CESIU'
            +'FhgYFSQXDCgZAxscHyAcFxwdGxYeJTUYCiUcHWkNHDMdHZIEHiMlIy0kFiIm'
            +'KB0pMkIkAikqKMIAIkUmGsIAKhg0SDAxMk4vAyw0PDY0KCI4Rjc4NrUVLkk4'
            +'IKUdM143BVk3JStBT8oVO2E3I0g+Lr8bOD9BPkhCN20/BD5GSjJKXH49DHI/'
            +'HEdJRlZLOGVJKc0qSWZLRU9RT45HC4JMBk9UVnRNNUJabFZXVco3UpZQBVta'
            +'U0VfdGdaRVpcWY5SMFleYE9hbF1fXGRfU3tcL2BiX3RdW3BgVp1bB0JqhdNJ'
            +'X6hjAnVrWnprUGFvd7BkCVdyh051kXJwaNNVasJba2F3iLhrBahuIHV3dFB/'
            +'nXp4bYh0caBzPU2CpsVyBNlieHOCiJKAXmuGm1KLtIiCcNJ6B4iHfjqX1XmM'
            +'mIaLjlmUvttzh7CGaKeGhGqUr5+Ma9+EDECf35GTkMGMTGWcw0+h3OJ/kKiU'
            +'bFqj2FOl4NeNUXWgvZqakuyPGt6Hlo6eqJidoGCo3oyjtLGbmKChnWSs4nep'
            +'zvGYI3Os126t3rChnPKaLnuu1Kunl7ylfHGx4vCeMNmhXeueW76phHu035Cx'
            +'x/KiPN+lV4ez1KKwuH+45Kyxs6+xrr6vl7KxqfOoR4i74YS86PWqUIu+5POu'
            +'UpS92JG+35292eGzdPSwW5TB4pDC6fWyY7q8uZbD5NG6k7+9tJ3E4JjF5qDE'
            +'2vS3ZfW5brTDzpvI6Z/I48nDr6HK5Z7L7MjEu6PL5/i9eLLK2/XAecXHw9zG'
            +'nKrO5KbP6vfDgq3R5+vHlMrMyd7Kp+7IjdnKxfrHjLTU5NLPxbzU5s/RzsrT'
            +'277W6N3Tv8PX5NTW0/HTq8ba5tLY2sjd6evYudnb2Nfd39/d1M/g5uzbw+Ld'
            +'zunfy9Pj6t/h3dbj5Nzi5Nzl7ePl4uDm6OTp7O7n5Ofp5uzr4ufs7+rs6e3v'
            +'7Ozy9PDy7/T28/f59v///yH5BAEKAP8ALAAAAABAAEAAAAj+AP8J/BegoMGD'
            +'CBMqXIhwoMOHEB8ynEixYoCIGCEWxAGlo8ePH5uIHJmkpMkkQ1KqHNKjB46D'
            +'GWMSDGCun82bOPvx26lPX7589oIGleeuqFFz5sCB28YMV4wYFwrKxFgQXM6r'
            +'Onn6BCrUHlGj7pAmBTfNaY9tUS9OlRjAKtacO/n1/NnVK9iwSMkyizEkH1qp'
            +'awdWvSmrMCzDsBLLSgxrlOPHkB1fmhypcqQ/I4b085s2sMDBNletKlXqk2nT'
            +'mlJTWr0aEqPXrwkRAkSbNp/bckBo3vxX7VrQ/USPJn0atWrWlCC1hj27Nm7d'
            +'NzkDngrclfDhpku5spVLmLFn4MP+GxtvTJiwXrZssSqliRL06L1/t+Vn05X9'
            +'67nC6wdPvrx58+ilJ6ArLAzhz4E2SedbRlXt1E8tsdjnSjH7hYcMMv79d14v'
            +'AQqYHoEGHoiggjI1uFMtENZS4TMXYqjhhtx5+KF9rBQo4o0kMjjfTrmguGKL'
            +'GnLYSy65yGgLja6wUmOINx6YY0Qm8kPkMPu1WMx/QhJZ5IASJqnkkk3iGB+U'
            +'O/LDSy8UWnhhMcMAOCSRtcwooWhKljJJKSyYoNSefJJ1CgHTORTlMMOkySIy'
            +'bLr5ZpxyWrfKeqUcUYAAGtRgkUFkghMXociAtyahGy4aZ5fCQSqEATC0YIEA'
            +'XPzxRx3+sNbhxqyLPPJIH4EKViainVpJKIdaonjkfcKRVooGA3iRSCBqpFCA'
            +'G+0l5xojgwTT1Cm5frbrhYeyOQywcKI4Z7GkkVHBF4HYoYYXVThbByTwMsfN'
            +'NGVlO5OmOzmj76e/iloLqaIRl4cClRwTCLtE7KBqBPHKqxQz9lalz07R7Iso'
            +'ocOcGS6ExAZcyh8F4LFLNuiosQMMH3zQgQFuwBYbN0pNE3FbPfETTcUWe/vt'
            +'xhF2HEkEImfjzj3WENHB0R0kQMW0sMGs1Mzb9KTPzTfnjLHGPaLYs2ga3DEy'
            +'Ovqgc4wjMBz9gQBoLPcaN2NBLTU22FCtrzP87pw1xwR6TXL+2MekcogZJyRd'
            +'Qh2sTcv20wvqGnVP2mgTt9z76ow1irUIoQQwx5iTj9h+x9EFDxRokDZyybGd'
            +'lNuMOw435HRf/CucW7hASyi01ONO34d4bkQUEZAxSWrRrsYNXlDn01M33TTu'
            +'ONU40y15L214cEsollwjjTWdd7G7A1xMYlzwwyMFKJnb/KTPN8g3DvfjzfNr'
            +'CAOdqGIJNNcsMwsmcZThhBQTUBFJcZ8AHiWGF5bxaSQA5fuJOMSBvuSpj3lz'
            +'QxQoHhA/SySjfsCgBSf054QVCCESxioO8M5hFAOyJYH5WCAD06c69s3NFxko'
            +'RCssAYxrQCODrUCEGJwQhBoYglz+ANQECYtiQkEh8Cf5IIcKV+jA5cltBGeY'
            +'IS1siENEpGEKN2BBHhzlsdKcZojuWEDitIXCdJBDiQtsoPpWFw0aPOEVlmgF'
            +'FW8BRzhYwQYZyEPPuIgd05zjK2IkHxLTYUY0ppGFjsuCDmYXijm+YhNw0IIP'
            +'HNCGWGitY8MpzR+LEsgDlpGQhVShGrUxBxTMbhM2TMYvZhdJHyygDbC42x6v'
            +'Qxp42AUCY5zJNuzxk3aAMpSi7IYiMCAK6kEDGqqc3R7CUAQGgAEWk7skH0th'
            +'S6/gknxBycc72uFLUJ5RhaR4ACfkR79lZFAVyyyCBJgACoz5a5aiqaY8okKm'
            +'aQgFHvD+4OYvzSiOYEDAD6qQxAXNSQtVWHEKG2Dnha72TmJV0x4cyGVB7BmU'
            +'ecwDHtvsJiG/EQI/zPAXGKRFDq+4ARo0wmqvk6WEHhrRegrFohfNp0ZpcAY4'
            +'TvGGIpXEFVUwgpO2z3XR5Ng8hNLSA1LUHvSgB0wxys0lvHETqnCkJew4gwwo'
            +'woUotRvlYjEPrhSVLUelB1KXCg9T5EAX0qiGIyGphR9AYA7KcGLVUBpNetDF'
            +'BBINwFF/klSlWhQImEDHOtgRjmX84hWhgEMYfoCANcS1hayr26LosRW8ujSb'
            +'fB3rOC6QjcGqoxzVUOZiEZCFYIxSrj/1lsbwMRfLGlUoc+H+Kz3o8IbBsqMc'
            +'5WjGLBARhik0oLSHdOD6Iuu6b+FDLvlwLVhhG9t80IMDxPBsOaihi0yQFAik'
            +'MCQTlce+1BLquHJRrhH3ary54EIG3mDHZ6mbCUFMQQQ0IAUhvxncNWK1dWwC'
            +'Lz9eclnMSq0JmFDHeqsrCDaoIATy/SV9t/tA4u4jLvx9bV1+Io8HeGPAnijw'
            +'Cy6wiHPo05uGHOVw50q3fWQlwssdijyy2YcrYFgPOVjAEhYxDnx+GMTBbGJ3'
            +'9WVinaB4vEJxhzxWbI8QoGK61UUCAoawCFOcY6kZVXCIWTjiivW4Hz3I61Hh'
            +'URR5nPcN1MXCA3DwiFOYQ6x+jen+jec7ZR1T7cpD0DKRz3EOLkPhCl24wgMu'
            +'0IdTgGMrzk0qlNe8YBGvDs5yXjGdzzGOA1yBBBwYwyOmYTzkZjbNNtYom3PM'
            +'XUSTiRlDtsc4xnEOOhRE0qD2b3P7OmhNF5rKnj4gqIc86nHM2BS4MIeQiWw+'
            +'Szt3rBbN9D5fnbwrQyGvs5ZHrWt9DnOAUchCqUc96jJWpQoapjCNh7bbEQ9u'
            +'GxvZQw43tceNWSQiUWo1i4u6HfSWY3961+ImN7XNbW50T2zd6m43srscbiLL'
            +'uyv0Pje68Z3vq7j7gDE4icIXPpKGO/zhIwGJxEEys0tZ/OITIRPGN87xXHrm'
            +'4yCfSkABAAA7')
     return img

def blankicon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAMZ1AAAAAAICAgYGBgcHBwgICAoKCgsLCw4ODhsbGxwcHB4e'
            +'HiUlJSsrKzAwMDMzMzY2Njc3Nzk5OTo6Ojs7Ozw8PD09PT4+Pj8/P0BAQEFB'
            +'QUJCQkVFRUZGRkdHR0hISElJSUtLS01NTU5OTk9PT1NTU1ZWVldXV25ubpCQ'
            +'kJmZmZ2dnaKioqampqqqqqurq62tra6urq+vr7CwsLGxsbKysrOzs7S0tLW1'
            +'tba2tre3t7i4uLm5ubq6uru7u7y8vL29vb6+vr+/v8DAwMHBwcLCwsPDw8bG'
            +'xsjIyMnJycvLy8zMzM3Nzc7Ozs/Pz9DQ0NHR0dLS0tPT09TU1NXV1dbW1tfX'
            +'19jY2NnZ2dra2tvb29zc3N3d3d7e3t/f3+Dg4OHh4eLi4uPj4+Tk5OXl5ebm'
            +'5ufn5+jo6Onp6erq6uvr6+zs7O3t7e7u7u/v7/Dw8PHx8fLy8vPz8/T09PX1'
            +'9fb29v///////////////////////////////////////////yH5BAEKAH8A'
            +'LAAAAABAAEAAAAf+gH+CfwCFhoeIiYqLiYOOj5COjJOUlQCRmJCFBBqdnp4Z'
            +'oRgYF6UWpxYVqhSsExMSsBEREA4NhQKXmbqFPnS+v8BycXBubWxraWhnZmVk'
            +'Y2FgX11cW1lYVlVNRToSFwu4upmFPXPA5nPCxMZqycvNYtDSXFpZV1ZRSD8W'
            +'JE/fueGPxs0pZ+4XujhvirFhh8YMMzLwwHiZRs8ekyIYSqTpBw6gJADkBhY0'
            +'KAdOwjZrGDosMybixHn1oBzRYGLORn8eB42TM5DgSHQm3Rxjt4xZyzBfJm7R'
            +'ck3JBhN0bHL8B7AQDzk8ff4clnCoMofO4CXtshTLEw5Qo97sWBXAVaz+Ikf6'
            +'SvfGWMqvzVpG80ItS5UOadVO9Wg1DtascucOU4gMr7N4fKt9CCwYZ7hCO+IY'
            +'hqv1XDqFDN09jjZtCwjKldliwgxH8+G4P4WdXJhsJcR400KgTk1VE4AdrV1n'
            +'7QwM6MmUtY267CJiN29xAHTACb65Z2LjQpEXZelyhPPnkQrpeDNdc3XYBedw'
            +'za7mq5mwSEc8mEK/fn0pSmoYCNBbkHjy5QlnnVzqmWRXe6LpdYIlhoQX3RsA'
            +'UsdZYnTQZVc7Dz3jRRFECCEEED7kUEMMLrCwggoL9kdIdG5AOF1wrxEXzGIX'
            +'OvbMXn1dM4UTSRgxBAqFOKiDGy1GKBxiBH7+tg6G7+DWlz1UTAHFEikE6VsO'
            +'RBb54pHoeYYQaMk1KRFF9VgRZRQtWBkQADm0QSSERm6GZGxBoaSSctC8VFEV'
            +'VEgBg5oftelmkXFyJqMv2A2VxnZHjVXWFXzGAKhOAODQxqVvuijhcNet51VR'
            +'8DnKFKSSqlgIDmxcOiicAZ53aFRcHWijGDhWc00Nk/pXKRupYqplq4YmZuEx'
            +'TI6WVI5B5LriDbz2mqWmm3ZZnJLE2uhkNcmaCsANazTr668wTpjkl0s6FpE8'
            +'WgyhbCHcdsvrt9By+epBx90p5ktErLvtGvx6Oyi48l5XUr2LrnTUmEfoe4Ma'
            +'/LqraqaFirtVUIr+gtqoF1Doa4MaDPfb66rxutqpgZ+CpdcXUWicBscNv+sr'
            +'q9FK+8uwjSVIqxQqr9yxvyADaF6wclFbc4ZhTKFvDWnovLPLIG8poMxRURva'
            +'Q2JscTQaSXO8tLOZOn2ewOTS1hDVV2OttMdcAywn1FHXidzYLOlLAxp0Z82y'
            +'u2mHHKPAFGu3ktxn1G13yy4/G/Gc6Xl6V1GAB262zoRzDXO4iJ8Ta8kFaEvD'
            +'GZwLDrnHDxPqNNAj0dzOAZqb0bnndzv8sqY/cxobjdWi7iANDq3++N08Qwys'
            +'7OnJBqbtvs3gkOqOm6012qGHLPLss6lB/JrGH6+73VvDG+fzwbuNgLb+Mhyf'
            +'e/LYM/+v3hInTnEC4IuPPPln46396OlbHhT7DspQhvucO5705/I73+HYRhf8'
            +'+SYGZdif+PrHuo4F0HcB2lvQhqEAbSEwgfxb3f9axzQIhmtAwYsDAyxIhgQq'
            +'0HrwA2AHRRezQ6FjhA6KARlKiMEFppB3K4RZ7EB4DhgecAwzNGEG6aY8HH6s'
            +'a7/jITB8uKYYjAGINDzh+IhYvgcisYUjsYWDYPDEGUZxiIJbnhXVJkFzSEBb'
            +'MBBDF4MoxfdRMX7+Mhz9KkeHM25RDGqEIg0zCD8OFu6KAQOGHX3zAjzm0Ys1'
            +'RKH/Bmc+DwbSF4Nc0wvCgMcnQlGINlykCo9LyMIPwkYD2pokJfN4yUROsYGE'
            +'ax7snkYQD2hrAKqIZSxRQUtUlOKWuLzAKHbJSwyE4pfAzMAn9MWgYhpzEg46'
            +'pjKXqaKcOPOZzgwEADs=')
     return img
     
def docicon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAQHAgsNCSERDSUTByoSCCAVETYTBioXAhkaGB4a'
            +'GTkVA0MWBR0eJh8gHkgXAC8eGjgdEywhHScjIiQlI1YbBlsbAC4lJSknKkEi'
            +'FiwoJyIrOCosKmgeAEYnGzctLlkpADUxMEEvKDEzMHQkATgyLU8uHU8uIn0l'
            +'ATQ4Ol0vHTc5Njw4N30rADQ7QTI8R4gqBWQ1I0Q8QX4yAD5APUM/PjxBQ3w3'
            +'HZA0ED1HU0lFRaYyA0ZIRp80Ca0xAIQ9A0NLUpY7F1FMS6U7D6A9FZs+GodF'
            +'FFBPU7Y5BU9RTk1TXYtIF5lDIlRVWI1KH1VXVM9AAcBDEFlaXZROKltcWpVQ'
            +'NJ5OLl1eZtRFAF9gXnNdVslLGNNLAGJjYaNYOmRmaXJkYNVTANVTDWtsaqhe'
            +'QtFWINtYAHBucmBzitRbK9teANpeCXJzc8xfNNxlANlkIttlGt9jM2p9lHt8'
            +'etpqJWeAqN5sEXp/gd9qNNxtNX2EjN1vRIKEgd9yIniFl+VvQW+HsGqItuFy'
            +'Qd91MXiLo26MuomLiH+Mn+Z3S819XnyQqeR7S+B9Rtl+WeV9VJGRj42SlOGC'
            +'QHmVuI+Tm4qVouOEV+OGTIeasumIYeCMZOSOWYyft+iNaoaixZegqOeRZZCj'
            +'u5Sjto2kwp6ipeiUbaKkodSZgpSnwJGoxuaZduyYeJirxJSsypyrvqiqpp+r'
            +'uJevzZuvx+yffJmxz6Gww52xyeujd6uws6Wxv+mjhZ+yy5yz0quzu6S0x7O1'
            +'sqS30Ke3yqy4xam5zLG5wqu6zu2uhK+6yLW6veuwkLG9y7W9xbi9wLy+u7e/'
            +'x7bC0LnCyr3DxbzEzO66pvG9mr7Hz8LHysbIxe/BpcnLyMTM1MfMzvLGr8fP'
            +'2MzPy8rQ0szS1NDSzs/U19PV0fPPvNLX2vPQw9bY1dXa3Nfc39rc2dvg4t7g'
            +'3ffbxvje1ODm6OPm4ufp5uTq7Pbm4enr6Prq5Ozu6v7r3/3t5+/x7vnx6vHz'
            +'8PT28//37//5+P3//P///yH5BAEKAP8ALAAAAABAAEAAAAj+AP8J/BegoMGD'
            +'CBMqXIhwoMOHEB8ynEixYoCIGCEW5NGlo8ePWUKKDEmlpEmTT1KqfJIkCY+D'
            +'GWMSDGBun82bOPXpxIevXr158ILCe0d0ndF16ZKaEwfOGjMaNCgUlImxoDls'
            +'IRRo3cq1q1etIZgdVboU29Mk4KRepCqRphAVZOKS8ULXi5W7ePMy2csEBwMd'
            +'R5GmM2eumzUaT+alncp2YEFxIarkyuXPXz95uTJx4lSuX79xjvbsESQtX79y'
            +'UFBoEMYaGLBevWi1CuXiyT7FahsLfFyiSqpU/sblatePVKVt/X73k5bnDTJ/'
            +'lcqkgtKiQaFCgbJrr1Nng+3bi9f+suU95dMnf9sqkfKHbFG+cXnyjLsnhgu9'
            +'bVjyY6l+vT+gQIAA0t134OU2XgDilDCFJpagxwgj/lwzSD/X0OFcP1xwwV6G'
            +'GbaAwS+/7DILLKiI0okkgHiHE26MycSbE5ZAKGGDxdCRzzVrhHHNPWGEYc82'
            +'PfY4gwYgFmmkLrXhVGCLGfG2RCSDRGgJO/0MAgcy/UQSST/I9FhMP5r0YUsY'
            +'M3xo5JFJKsmieFUhWIIRffRRWT/sRLKGGmtMww8/06xhhhlqFGMaO2aUeaQu'
            +'iCKapprhxcTbD3ZE6oYbalRq6aWYWvoDBrvskiiitcQSywsEMmpgRI/aMemq'
            +'rLbq6qT+myIqYqiixrLKokouyaZDj2WBAAjABivssMQCSwAQI8KiLCysrOLs'
            +'CyuII+201GLjiwBMOobgOnNk8UIO4IYr7rjkKgHKsqI6i8oqpyhhkUGoIsiT'
            +'Pp0say8ss+Sr77753svKv86eIvApiihCyMF+JCwHGqU0/Ei2u8nLU733Vmzx'
            +'sv+ygsrGG58iiiiggAzKyJtscsklhFjjlC8QzyQOT/h0kvHMrFzsr8Ycbyzy'
            +'yCOLUvLPlygCTjdmtfwYzKLkrDTNTCuts8c88/yzySdfMq01RkuMj9NcM52x'
            +'0h/vTPLUJVc9LTZZv8wT1xx7/W+ttjrL7sCnRC311JcsJW3+1uDALPffgMMt'
            +'ONx/01233WNvMtjeu0YMTj08AS754LXWYrnlhAc8MCh+XBABBFeAEorii/Pt'
            +'Ez7OUq76p6zrQmvcAR+RQRucxFHBEaGEktRgpvtE+eWXty68LrS4HgstyB8i'
            +'QRWkkMJJLmlEcEgogpnTez2DW44o8rTA5v334HuPfCuyN6IKJovg0UYbMMhA'
            +'vWDYxvu4T9zXb3/4vbim//6u9aL8FKrgRCUEEYcyIGEHMJBAK8YSP40EYH71'
            +'sB/38Oc917DmghjsRRM8YD704SENUfDBEHBgAR0s8CgNbAsEJQg+/ukPgzCk'
            +'hAQAaBxEFPCARIBBBwxAiVa8A4X+jZtJN3xSD/y5EIYYJIYSidGLI3DwfIv4'
            +'AwhFSIQWMOAClMDFK35olAQEsSDdmIdPWrg/JLJmiWikBAS8oApSYAIReChD'
            +'FHZABByQoABHwIUecVGUdXgxXmEU4xHNSAxjGPKQhgzGEU5gPk44QopbOGAR'
            +'YGABA+ghGJjUI1F++EcHBrIemAwlJhFJSkQmIxky9IIs3GhDOYowCCi44iuM'
            +'IcpgDIUonWxLN+Axj3nUspSlPGUyFHmCTMjCkX+IQyTpaMcCSMEYyUAkJoOC'
            +'yy8GYJe8FCUwDSlMYU5CAqo8XytD2IMioKACBpiEM4SpjGgqQxlCeYdUACkU'
            +'YHbznsP+FIIJGnHMRyoTCT6oIwoW8IFhOOOg6zylIeEplHl6sp7cxOc9naGH'
            +'EGjBFOKMYwh3MMkOEOAL0QhpNJpB0neaVCjw4IA1sQmPU5pUGSSNqUx1wAI+'
            +'lOIRiSBgJH3QA1ii0xPReIZMh0rSeghFpfQMyjuJOlRPTIAGhngEH+YAhjQs'
            +'s44kOAALYMrUZjzjGSL9SVCQ+tCgdDWmzzjDBLog1TFkgSUx4Kk5OzCAM3QV'
            +'rNTIKzVC6hOgrGClQjnrSHUQgjkYYg5deAIPRsCBEdwAByh4gAE88VK0RoMa'
            +'2chsZvPak5/8NanwIOlXRxtSZYSgBobgAxuykAQacMABFKD+gQjuWANeVLYZ'
            +'IcWsZnebDZ745LNlDS1YRRpSXkiACocdg2JXQAEHjAAxE6jrMIaxVNxedrfc'
            +'yC43NAuzegC3LdgQCnFFCokJUEG1rHUtbFfAgyyMQAGeoC5Xc5tZ7dpXu9rQ'
            +'h2+/y6sAhDco46UGNCiggTmMgQo8YK5zEfOECYSAF/L16nW9QeEKW9jCO8HH'
            +'S+L1X3iIVK9SmIMr2PAEGozAARxgbxZ4oAA2DOMYy4AGNKqhjQtX+Bs4znGO'
            +'daLfDTuww9UIcpAhkQRXMOMpJ35uSzgQglvAWMY0trGOvxGOKlu5yvvgsY/B'
            +'KxQhV2MZKSiFypgxhxTzYLEKuMP+k6Ns4Snj2MrkiLOcyWETnWy5v9h4R1Bo'
            +'rA1tHIEPTDmyL0LAAQ4ogArHkHGfL+zmN4djznI+xzluoo8kWDPPeu6zNiCR'
            +'hXQYxhq+KAUNFFCDW8y4xjfW8ZWvPGdJu3rSN3nCpTfZ52XQQBzWwIYrxmAD'
            +'GjRhFGz2RqOpDGdIv/rYOJE1h2mtjS9QoRS85oGaq8FoNxe71cc+Bzq2ze1k'
            +'W9MazOYBB74AbFQLe9hVhnSks83tdqPD2/ECN1FsTGF0s1rd7Oa2OvbNb3Xg'
            +'JAvf3uSr3b3tfhv84Opwh8IXzvB4OPzhDsdJFwK+yYqj9OJC6aUYichxmHmc'
            +'xyDXR65OJh7vilsc4xjXOMeJ6PGPh1zkSiK5A+VtcqKgPOW9XPnpWj6vl8fc'
            +'mjQ4idCHLvSRGP3oSB/JRzqStXc5/ekTiRfUp071IOrm6linSkAAADs=')
     return img

def ssheeticon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAoDARICAgQHAg4GAiEDAicCABwIAwsOChMPADcE'
            +'BRwNAEYEAlEDBVMFAGACAkkKAGwABFwFB3cBAxscCQgiCxocGoQAACkaGCYb'
            +'FyAeEyIeDjobAJ8AAHQMDakAACclGREtDCQmJLoBAcQAADcsFKIMFh4wOscE'
            +'ADMwHzkvLzMyKyg0PUEzEEQ0AxFCEjU2NL0TGEk5AUA9BBdIFzs8KuEOGks+'
            +'AEw8ETY/Rc0WIC5HGT4/Pc8YGOISIkJEIS5INidLLVc+KSlLMj1FRiRQKzFM'
            +'NN0cIERGQ0hGOl1FETJNQVtIAURKQVhLAjtPOGFJDVBOJlBQIU5NS0tQN+Il'
            +'KiZdLEpRPWxMC1VSFz1YL2tPA2JTAFNRROQoMj5XUFVWU3ZWAihpLEJgPOQ0'
            +'OVhbWFJfTl5fNWJfUnFjANo/QyR5J+VAQ09pZ2NlYotkBdtITCeDKFttbWhq'
            +'Z+ZJS29sYGttantyEelNVGFyeG5wbd1SVmtyd55wA3J0cSiRLehUVnN1culW'
            +'XWV6h2V7gHl4cOpeYOFhZXh+gqx7CDWdMYGAeG+EkupmapmLAGWMpLyDDeNu'
            +'cOptbDSpMniMmcGHAuxwdYWPk4yOizixNqiXAO13eGuYt36VpuZ7fjS5OEC3'
            +'N0S1RnCdvZCYmtGUCVG2SIWdrU+3T3OhwUS9RUO/Tnylv7enEZyho1HAUL2p'
            +'AI6ltqCin1DDWpSns4eqv5Oqu6WnpF7FXZmsuIywx13IZsCyJcm0AGnKac+4'
            +'AKCzv6eyuJ20xpS4zbK0sXPNc7O1spy80qq6wKO7zKe7x33RfqnA0qzAzN/G'
            +'ALDAx4jTgbe/x4bUiKvD1L7Bva3F15DWi4/Xkr7ExrzFzeHOCLbJ1ujSAMTJ'
            +'y8fJxeTRI7nN2cLL07bO4MjNz+zYBcvR08/RzvDbD8/U1/HdJtPV0tLY2vPf'
            +'NdfZ1vPgQdXa3fTiTNvd2tje4N3i5eDi3uHm6eTm4+fp5uTq7Ofs7+rs6erv'
            +'8e3v6/Dz7/L08fT28////yH+EUNyZWF0ZWQgd2l0aCBHSU1QACH5BAEKAP8A'
            +'LAAAAABAAEAAAAj+AP8J/DegoMGDCBMqXIhwoMOHEB8ynEix4oCIGCEWdOOn'
            +'o8ePekKKtEOS5JyTKOe4WcnSTRkwBzPKJDjAnr+bOHP248dvn899+ewJFVpv'
            +'ntF58JKyW1qu2zQePEQUnImxoM2cWP3t7OkzX9Ch9o4aTQpvaTqnPMCUk3qR'
            +'qsSaWbNu/ekVbFixZJl2S5tv7VS3A63iDEeY8LfDiLUp1katsbTH0phJZpas'
            +'suVfuHKA8deXLWCBVvvdFIWqtOnTqESpXs2ak+vXsDk9OrGZs9+2bgvW6yca'
            +'tW/TpFkLVx1bNm2cnf9S1c27329Uq3LlEmZs2TLIjiFbR4ZMWC5atFb+cWJR'
            +'+2Zy3DJ18+O9qr17Ydchy59P/7H17Zqxnl8+YB7Pfu7lYkx99gWDzH0IJrgd'
            +'d/npd9tMBfnHU3u53FcLJW0sAcQQQQRRhBVFdDiEEUt8QYgp3KWoYoMOepZR'
            +'hDzxswotwTDyxRBWxKEIKJ/06OOPPU7yhxhBLCEHiiuW16JyGvUX4yNLFBFH'
            +'Jp+k4oort2Sp5S1XuqJKKmDy+Akof1gBRB7BpMliVvtFBGMxT4gxySdYEmNn'
            +'L3jqsmWXfF4JZo+grJFAE8HkAEM6iCaqaDfDIMBkYAOUY4YYoKRyCzHK2Hln'
            +'nnv26ekpO8zwCis/EGGRQW4OEMSctyjjaqb+muLZi55a8qlKn6eMccYu6Iwz'
            +'zjZ3dNHJsJ1QYiwjg9gSSyyYPAoaDZUqE80zr2pKjKy0Zmlrl6doIQWv64Tr'
            +'6zisXFHLubXAAospnXTj1DDO/vPCJ6pEYy+1rlqLbadX3lqKt7yig06467Rj'
            +'jq+smHGuuuqaUk5T3TgbQiapRFPNvdXGymmt/YYCsDnmCDxwuO20M+4dlDDc'
            +'cKLlOLvGJ8RYc/G0GW86q5ayXPmvFKyADLLII5ds8q9UqKwuO4k+WkEmoFgj'
            +'M8b5anxzlrJ0G0XPPv8sMsntvDNuFkbDYlY6jxJAQQqLLFLI2oXU4TYacKPR'
            +'xdxdJGF3DVHskvX+3lsX3HWv43AxCCzpHm3WowX0oIMnjHsSyeOHRB75HpTD'
            +'Ybkaagjhzd58C8z1OweP40QeuMxi+ixlLeXoQwXE4MMmnmyyiSWWSNJII4bk'
            +'LgggeOBBBx1ssKG5z+Nw3nfJXvs6A+m4NI966qs7JIAHNtAR++y13567Ibv3'
            +'/nvww4NcfOdBt7OOr7y4wHzzuOQV/UACPOB6I7LTbjvuuvPuO/DCby6+8Z4r'
            +'2Pl+5QQlrK95SEnK+wQigBE0QAc+MAT27re97u0PfP47GABHNsBtcCERUMjD'
            +'L0aIwAQu8B8NHAEEXEcH+2kvf97jX/g0SL51AM6DfSAFFPgwwh4eBR7+FkAP'
            +'CkeAAhJIwANHqAIgKAjDC/aPeBsclyZukAhS6JCHPfyFWIL4kAai4IsdYIAJ'
            +'kkgHQ+DPgt974v84Ny5fOCEMVrQiFBCRRS0ehYsOOcAHvsjHCzTAAz04ghfY'
            +'gAc0yjCD4wudr7ahCSdsoRJxtCIOLnGMSlayKEbB40ACMAE+evIDEvhjDGyQ'
            +'RC+Q4ZSnFEI2xsXKcTTDEVxgwhsiGckNWNKS9sCkJgdyABJ48pcfmIADHCCB'
            +'CZggBjrogQ040IxtNMMXr3BEGrjgyBzSMpJvKIMzbnkMoRhFKhAhQAN+Sc4v'
            +'kuADF5hABB7ggAXIgAlbCMMb+gDJa14TEiD+OIYztnkMaEBjKPMAJ0TiV86C'
            +'ehICVbSnQq0IiQ2MYp/+jOhQ6iFQiQSAAUQ0aDkRulCF9kEDo8BGREcKloo6'
            +'pCBTEMAFNEpOjnY0kpXAwQqAgY2a2lSiQ4GBEEEzAHh0AwMGuIAvWYoCl74U'
            +'ElDQACLAwVRw2PSmX7GHTlMFD6HEIgPx26NGjarQN7QABIiARlPH+lRsAEUo'
            +'U21SVYUCDWAQ4QACYMAFPjDUgyYUponYQglA0IVWjPWv4OCGYK9xja5Idac0'
            +'Was9/KkOd6gDESqA6wEU4IAHRGACAcBCGLAABRyUQAN8xcQ15EFa0qpDHKVN'
            +'LWnFwY2u5COtb2H+x1AIKw962Pa28WgFH8pQhinwQA+XGEUrhkEObsTjHshN'
            +'LnLjIQ7lOvccre0KEhBbENkKhba3zS49xCGO2zqXHsZ1bnKZK97knkMcXNnH'
            +'dFNlXXsQVhzkiK984yvYc9j3vvflBjnUwd/+8ve8jXWHgAfsDnKglyvrbVJ7'
            +'38vdBjdYsPOV7zkMTA783lcdE/avhiccI/VSdwDt5cZotZvc+Jb3Hts9LnLx'
            +'wWIWx4Mc92ixjPHhjnNshR8Jju1QBFtb2zrXxOVN8YxbLI9zxBgf+kiykh2r'
            +'FZ7AhL075kZptUuP+FL5tuRQsXjjYeTkzjge6rjJTp6s4CgLVrAOTjP+fCM8'
            +'XwtfWMMaxkk/yKxjoXA3HnjOc57ji2fVyoPL8fAzacHc49sOJR7uyAmdTwri'
            +'eti5u861B3LtO2Ov5OMe55AHi/ehZJ/IQx2c9omSkyyPROOkDB9mRz0czV16'
            +'3EMoyfUKf/GRD1p7hcWYlkeSfyJqeqhDH6Lu9D7+nBM3pHrV9uCuO/SsZ/sy'
            +'u89gDrSgEV1o7eK52Kmex6obzOY2u/kccA7wgONBlnIn5do4MTZ7jVKPpSzF'
            +'3PBOiljmIWh6sNvRdgFLPrCdqnQcBdn5Drg9LO0VXht8HzFK+Hp4kxU7fNjf'
            +'98a3wO1C8HwcnNcKjxHDsRKIh4tl1RKf+FA1Kn7xn2T8P6LJScdTVYaUuHwO'
            +'JYm5zGcukprbXCQfyXm8TsXznlckVT4PutAR+5miG50qAQEAOw==')

     return img
     
def zipicon():
     import Tkinter as tk
     img = tk.PhotoImage(format='gif',data=
             'R0lGODlhQABAAOf/AAABAAACAAEEAAIFARscGiAiICUnJScoJiooKygpJxwt'
            +'LCcrLSkrKCssKiwtKyouMC0uLC4vLS8xLiM0NC4yNDEzMDIzMS80NjA0NjM0'
            +'MjQ2MzY3NTU5Ozc5NjE8PDk7ODg8Pjw9Oz0/PD5APThDREJDQUNFQkRGQ0NH'
            +'SUVHREZIRUdJRkVKTElKSDxOTUpLSUhMTkNOTkxOTEpPUUZRUkxQUk9QTkhT'
            +'VE1SVFBST05TVURWVVFTUVNUUlBVV1NXWVZXVVRYW1haV1lbWFhcXlpcWl1e'
            +'XFtfYV9hXmFjYGBlZ2NlYmRlY2VnZGNoamdpZmVqbGpsaWhsb21ubG9xbm5y'
            +'dXN0cnF1eHZ4dXV6fHZ7fnl7eHd8fnl+gHWBgX6AfXyBg4CCf3+Eh4WHhIOI'
            +'i36KiomHi4WKjYiKh4uNiomNkIOPkISQkYyQk5KUkZGWmIyYmZKXmZSZm5eZ'
            +'lpWanJidoJyem5yho5ajo5+hnp2ipJ6jpZilpaClp5qnp6GmqaSmo6KnqqWn'
            +'pJ6rrKWqraarrqKur62rr6iusK2vrKWxsrCusquws62ytK6ztai1tq+0t7O1'
            +'srG2uK25urO4ura4tai8vLS5vLq4vK+8vba7vre8v7q8ubK+v7u9uri+wLTA'
            +'wbm/wb2/vLvAwrzBw7/BvrHFxL3CxLfExb7DxcHDv7/ExrrHx8HGyMTGwrvI'
            +'ycLHysPIy8TJzL7LzMfJxsXKzcDNzsfMz8rMycnO0cPQ0c3PzMvQ0sXS0tLP'
            +'1MzR1M/Rzs3S1cfU1c7T1s/U18nW19DV2MvY2dHX2czZ2tLY2s3a29TZ29Xa'
            +'3M/c3Nbb3dDd3dfc39He39jd4NLf4Nne4dPg4drf4tTh4t3f3Nvg49Xi49bj'
            +'5N/h3tzi5OPg5dfk5d3j5djm5t/k5ubj6ODl6Nrn5+Hm6dvo6eTm4+jl6uLn'
            +'6tzp6uPo693q6+Tp7N7r7Ofp5uXq7d/s7ebs7uju8Ovu6urv8vHu8+zx9PDy'
            +'7+7z9vL08fP18vT38////yH+EUNyZWF0ZWQgd2l0aCBHSU1QACH5BAEKAP8A'
            +'LAAAAABAAEAAAAj+AP8JHEiwoMGDCBMqXMiwocOHDgNInEixosWLGClCRJhx'
            +'4oABHUNa3GgwwBZ/KFOmFKRBwxx5yHjtynWrlixZsWLBarVqVapTo+p0yDLL'
            +'lIKJJAmaVKlS3wkNOfTxy9cMF6w2p3by7HnqFKlRn0xUqECGlQuNSf8tZZoy'
            +'2xdP/vrxW4dmRIQwrnymIsV3VKhPo1qVqCChjAsYXpAmXcuWaTc0IjJEgCBD'
            +'1ddQfz9t0qRJWbhVIwh76AEtscTFJxur7JejpQYdaDaJCrVps6YzVhCtKjcu'
            +'XKgQEgr0kFdaMUTGqlHm0dDEk75btTVdqnQpUgkHFK7I4h1OUwkSQPz+ETcd'
            +'YCPy5PZ2oewXTxMnTJcoSQq0wgEECxmaXOqNLEZ48cWd9tB5ya1WihxZQAJJ'
            +'JI000kYSGlhgQRu8VeNfSuOhxdBa/HTo4YceplNJGkhs4IADdSzCSCKIIDIO'
            +'L2CMoExv2sDwH0oZGqfQWvv06OOPPgaCwZAYNNDAF4ccUsghlLzTzjrecBeO'
            +'jUzlKOCOWKAE5JY9DpNBB0OMoUYdhRACRg5S7OHNO+usU0454Ux5I4YBXslR'
            +'lv7ko+eefO55zynv6MlLIIL8QcQCC0iwARBgRANnODXOSSd55SUUAJ74ZKrp'
            +'ppxq+s0ee+ihxAcMUCDhB9/w5o03NUg6qYb+JVmB0j201mrrrbXWo0cdcthR'
            +'hx2OmHGEE+dwp02ryVlZaawo1ePss9BGW880laiBQwU10DGHJO+8o846xfbG'
            +'agBJlGvuuUb8AKtSVKBEz7vwxiuvEEQ+gAAHb7yxipPgniOuNpD8IPAPPuig'
            +'ww030HDDDgxPYCe7OMoj8cQUUwzFkBqwUIMSbbQRTLfgkgOnN9pcU0000Tzz'
            +'jDLE8HJLLKzEbIolDw8UwBQRV6yzxIi4wYk306ghtBrXyMNvsSOXfHLKzzDD'
            +'DDLD8GJLL7qwUrNAN6PU7dZcd911O2kcIYMQf2yySzng8jYOydVUMw3KzTSj'
            +'jDLGEFMMM83kcrX+WlGg1M7fgAcuuOB0lHBAAhJaAEKbUpY8zdsqO40MMsQQ'
            +'w0w1vewdQN/+tOn556CHDkgKETCQeA5pi+uNySg/E/fcxhgzjDPXBKP5Eyid'
            +'o/vuvPfeeyNffPFHLZLcsYfu3JGsjdsqNyM55cQ0o80wmjeRu+/Y6+4IENy/'
            +'0EEHc2D/qPLMuy75McQ84w31yxYUgPX+jCP//PTXP04fiUdggAF02C9/OOQ7'
            +'mfmUMbnKPWMcxNAcE1DivwaOQxNTiOATTGACFzUQUtpYngCdRkDKRQOBmlsC'
            +'SlZFwhKa8ITX6EIXcnHCEiptac5DBt0qF41zsI8jSUBJBnfIwx76UBv+L6hA'
            +'ClpAxCH80GSPi1wHiTGMGt7wIORCyTWmSMUqWvGKKTDAWMaSgitO0W0pex0y'
            +'YjeMaazDdu1TChJQ0rY2uvGNcKxGEkoghTpKIQtxbNvbouG8p9WtGNVoxy80'
            +'ZwSUQOOQiEykIqGhiwY1qAtQ6MUiJ3nIuDFDGcmomzCq8Q40cqSQ/qAkJe+w'
            +'xQow4ACSEOUkm+GMZCTjGMUApDwGmUabgVKViyTlFhuASlwukpWuhKU25OFJ'
            +'KA7BkL5EZC8uwcxLxIELxUimIoF5jGNogx7FLIkQkClNRcahCqAC1SC66Qxn'
            +'VNMb9XiiNrnZTUT+gAGlNEE7y5mMcNwjm+7++087FUkEeG5RnvN0RjjwQUuO'
            +'6HOfiHyEGjrB0E6AAqHOGEc+fKG5HrDTl4bwgUZ9YIMTdAKhiizHPgoKRYuG'
            +'spt4KKUEHPAIkCbyHCPVXA4uiktFHOGmRyBCDR7q0kOuox8kLclMTwrSYrS0'
            +'p4cshz92oTkb0LSbSoBAPEF6jqU29anSjOpUEWoOq9YSazLAajL9wIU1mHUN'
            +'cABpV5n6VbW8ACXWiKtc50pXa6CCDXjFaxdsUde++jWuXcWF5lqAEmwY9rCI'
            +'TSw2UlrKCExCsZCNrGEDq7kVoGQbmM2sZje7DT6UsgKO5axoR4tZd/hDsG0N'
            +'gGX9wY3Wuva1sI3PLTd6Idva2ta0tNBcClBi29629g5ZEINwxdAG39YWt5o7'
            +'AUrEwdzmOve50HVCBRJnARRA97rQhYc/cptaEywXu+BtrnSpm4Lwgle7rtBc'
            +'CVBijva6973wja85sCHf+toXveplr33j+wfqWqACndivgNv7Dn+kN7Uj0O+A'
            +'2xsI/1ogwAu27zz8oQrNiUDBC2YFGTbM4V5EWML+KIWFC0TiEpuYKSJObQhO'
            +'zOIWs0UUmiOACmZM4xrb+MY4zrGOb7wBzYnkx0AOcmqFTOQioyUgADs=')
     return img
